Subject: Re: [Capwap] CAPWAP Protocol Concerns Summary

From: "Scott G. Kelly" <[email-masked]>
Date: Wed, 22 Mar 2006 08:55:55 -0800 (GMT-08:00)

See my latest post regarding NAT-T. Also, I ask that everyone be patient for a little longer. A group of us met yesterday to discuss dtls integration and state machine issues, and I think we've come up with a plan which allows us to address most open issues. I'm in the process of writing up our conclusions for submission to the lmailing ist, and Charles is working on a new state machine diagram. 

-----Original Message-----
>From: R M <[email-masked]>
>Sent: Mar 22, 2006 8:24 AM
>To: Richard Gwee <[email-masked]>
>Cc: [email-masked]
>Subject: Re: [Capwap] CAPWAP Protocol Concerns Summary
>
>On AC, how can you tell if the packet is "CAPWAP Discovery Request" or
>"DTLS Client Hello". If this is an issue and is not covered in any of the
>ones listed below, please add this to the list.
>
>If this is not an issue, I request someone to tell me how I can
>differentiate the too. To me, I can see both the packets coming to AC in the
>same state (due to retransmissions or the WTP getting reset or similar
>scenarios).
>
>Thanks.
>
>
>On 3/22/06, Richard Gwee <[email-masked]> wrote:
>>
>>  Dear All,
>>
>>
>>
>> Below is a summary of the points that I have presented during the CAPWAP
>> session regarding the CAPWAP protocol concerns.
>>
>>
>>
>> Issue 1: Change of State Machine.
>>
>>
>>
>> There is a need to provide a clearer State Machine as some of the
>> transitions between states are not clearly indicated. For example, from the
>> DTLS-complete to the Configure State or Image Data State, there is no clear
>> explanation on the basis of how the transition should be carried out. I have
>> noticed from the Mailing list that there have been proposals to change the
>> State Machine. Similar issues have also been listed on the issue trackers.
>> We should take a close look into creating a viable State Machine first.
>>
>>
>>
>> Reference:
>>
>> Issue Tracker: Issue #85
>>
>> Mailing List: Email by Sujay (" Addition to SM and Configure States")
>> dated 17 March 2006.
>>
>>
>>
>> Issue 2: Load Balancing For WTP
>>
>>
>>
>> Message element in WTP Manager (Section 5.2.4 and 5.2.5) only contains IP
>> addresses and WTP count. While I do not condone the use of WTP count, I
>> strongly believe that effective load balancing cannot be performed just
>> using these parameters. There is a need to include more parameters such as
>> Traffic loading, network congestion etc. Although Pat Calhoun has mentioned
>> that such parameters capture only a snapshot of the network conditions, I
>> believe that this problem can be resolved through the use of periodic
>> updating of capturing the network conditions. Furthermore, what Pat has
>> argued is mainly scenario specific under fast mobility conditions. I will
>> appreciate if Pat can clarify more on the reason why my suggestion may not
>> be practical enough. I welcome any feedback.
>>
>>
>>
>> I will appreciate if this can become an issue on the issue tracker.
>>
>>
>>
>> Issue 3: General Statistics
>>
>>
>>
>> There is a need to include general statistics for CAPWAP protocol. So far,
>> I have noticed only statistics that is technology-bind (in this case
>> 802.11) as stated in the draft.  There is a need to have statistics that
>> is applicable for the overall network such as congestion, traffic loading,
>> channel interferences etc. This type of information can be piggy backed on
>> regular messages exchange such as echo request. This issue has been listed
>> in the tracker.
>>
>>
>>
>> Reference:
>>
>> Issue Tracker: Issue #84, #45,
>>
>> Comparative Analysis Draft (Section 4.6.1)
>>
>>
>>
>> Issue 4: Firmware Trigger
>>
>>
>>
>> There is little clear indication on the State Machine of how firmware
>> trigger should be carried out in the running state. Firmware Management has
>> also been stated as optional in the draft specification. To ensure
>> consistent firmware version, we should made firmware management mandatory
>> and introduce proactive firmware trigger in the running state. Pat has
>> suggested the use of making firmware management mandatory for AC and
>> optional for WTP. I am ok with the suggestion.
>>
>>
>>
>> Reference:
>>
>> Issue Tracker: Issue #40
>>
>> Comparative Analysis Draft (Section 4.1.5)
>>
>>
>>
>> I appreciate any comments and feedback if I have missed out anything.
>>
>>
>>
>> Thanks and regards
>>
>> Richard Gwee.
>>
>> ------------------------------
>>
>>    Republic Polytechnic, 9 Woodlands Avenue 9, Singapore 738964 (Near
>> Woodlands MRT/Interchange)
>> . *www.rp.sg* <http://www.rp.sg/> . Fax: +65 6415-1310 .
>>
>> *Republic Polytechnic, the first Institute of Higher Learning to fully
>> adopt the Problem-Based Learning approach in Singapore, continues to strive
>> towards best practices and maintain excellence in service standards with the
>> following certifications: Singapore Innovation Class (SIC), Singapore
>> Quality Class (SQC), People Developer Standards and QEHS (ISO 9001, 14001
>> and OHSAS 18001)*
>> ------------------------------
>>
>>   CONFIDENTIALITY CAUTION: This message is intended only for the use of
>> the individual or entity to whom it is addressed and contains information
>> that is privileged and confidential. If you, the reader of this message, are
>> not the intended recipient, you should not disseminate, distribute or copy
>> this communication. If you have received this communication in error, please
>> notify us immediately by return email and delete the original message. Thank
>> you.
>>
>>
>> _________________________________________________________________
>> To unsubscribe or modify your subscription options, please visit:
>> http://lists.frascone.com/mailman/listinfo/capwap
>>
>> Archives: http://lists.frascone.com/pipermail/capwap
>>
>>

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: Michael Montemurro <[email-masked]>
Date: Mon, 27 Mar 2006 10:26:48 -0500

I've captured this item as Issue 89.

  _____  

From: R M [mailto:[email-masked]] 
Sent: March 22, 2006 11:24 AM
To: Richard Gwee
Cc: [email-masked]
Subject: Re: [Capwap] CAPWAP Protocol Concerns Summary

 
Thanks.

On 3/22/06, Richard Gwee <[email-masked] <mailto:[email-masked]> >
wrote: 

Dear All,

Reference: 

Issue Tracker: Issue #85

Mailing List: Email by Sujay (" Addition to SM and Configure States") dated
17 March 2006.

There is a need to include general statistics for CAPWAP protocol. So far, I
have noticed only statistics that is technology-bind (in this case 802.11)
as stated in the draft.  There is a need to have statistics that is
applicable for the overall network such as congestion, traffic loading,
channel interferences etc. This type of information can be piggy backed on
regular messages exchange such as echo request. This issue has been listed
in the tracker. 

Reference:

Reference:

Issue Tracker: Issue #40

Thanks and regards

Richard Gwee.

  _____  

Republic Polytechnic, 9 Woodlands Avenue 9, Singapore 738964 (Near Woodlands
MRT/Interchange)
.  <http://www.rp.sg/> www.rp.sg . Fax: +65 6415-1310 . 

Republic Polytechnic, the first Institute of Higher Learning to fully adopt
the Problem-Based Learning approach in Singapore, continues to strive
towards best practices and maintain excellence in service standards with the
following certifications: Singapore Innovation Class (SIC), Singapore
Quality Class (SQC), People Developer Standards and QEHS (ISO 9001, 14001
and OHSAS 18001) 

  _____  

CONFIDENTIALITY CAUTION: This message is intended only for the use of the
individual or entity to whom it is addressed and contains information that
is privileged and confidential. If you, the reader of this message, are not
the intended recipient, you should not disseminate, distribute or copy this
communication. If you have received this communication in error, please
notify us immediately by return email and delete the original message. Thank
you. 	

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap
<http://lists.frascone.com/mailman/listinfo/capwap> 

Archives: http://lists.frascone.com/pipermail/capwap
<http://lists.frascone.com/pipermail/capwap>